> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Items.updated webhook

> 
The `items.updated` webhook is sent when there is any change to a property value of an [Item object](/api-reference/items#object).

<Warning>
The `config` parameter is **required** when subscribing to the `items.updated` webhook.
</Warning>


Sent when Items are updated or removed.

<Note>
  Subscribing to all webhooks at once [via Console](/console/management/webhooks#subscribing-to-webhooks) or [via the API](/api-guide/webhooks#subscribing-to-webhooks) will not create subscriptions to Items webhooks, which must be subscribed to individually with specific Items listed within the `config` parameter.
</Note>


## OpenAPI

````yaml openAPI/items-webhooks-updated.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Items Webhooks
  version: 1.0.0
  description: Sent when Items are updated or removed.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      tags:
        - Items Webhooks
      summary: Example subscription
      description: >

        The `items.updated` webhook is sent when there is any change to a
        property value of an [Item object](/api-reference/items#object).


        <Warning>

        The `config` parameter is **required** when subscribing to the
        `items.updated` webhook.

        </Warning>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ItemsUpdatedRequestBody'
            examples:
              items_updated_subscription:
                summary: items.updated subscription
                value:
                  events:
                    - items.updated
                  name: name-for-the-webhook-subscription
                  url: https://your-webhook-backend.com
                  secret: optional-secret
                  config:
                    items:
                      - item_123456789
                      - item_000000001
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsUpdatedWebhookMessage'
components:
  schemas:
    ItemsUpdatedRequestBody:
      type: object
      properties:
        events:
          type: array
          items:
            type: string
          description: '`items.updated`'
          example:
            - items.updated
        name:
          type: string
          description: Your name for the webhook subscription.
          example: My Items Updated Webhook
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
          example: https://your-webhook-endpoint.com
        secret:
          type: string
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
          nullable: true
          example: your_secret_key
        config:
          type: object
          description: Object containing an array of up to `30` Item ID's.
          properties:
            items:
              type: array
              items:
                type: string
              example:
                - item_123456789
                - item_000000001
      required:
        - events
        - name
        - url
        - config
      example:
        events:
          - items.updated
        name: name-for-the-webhook-subscription
        url: https://your-webhook-backend.com
        secret: optional-secret
        config:
          items:
            - item_123456789
            - item_000000001
    ItemsUpdatedWebhookMessage:
      type: object
      properties:
        event:
          type: string
          description: '`items.updated`'
          example: items.updated
        name:
          type: string
          description: Name used for the webhook subscription.
          example: My Items Updated Webhook
        data:
          type: object
          properties:
            item:
              type: string
              description: ID of the Item.
              example: item_000000001
            name:
              type: string
              description: Name of the Item.
              example: Whole Goods
            status:
              type: string
              description: The `status` of the Item.
              example: issues
            status_details:
              type: string
              description: The `status_details` of the Item.
              example: >-
                We have identified issues with the underlying platform. We are
                actively investigating and will provide an update by May 25,
                16:00 UTC at the latest.
            mapping_status:
              type: string
              description: The `mapping_status` of the Item.
              example: verified
            known_limitations:
              type: string
              description: The `known_limitations` of the Item.
              example: First 5 digits of SSN obfuscated.
            logo_url:
              type: string
              description: URL location of the Item's logo image file.
              example: argyle.com/image-holdings
            features:
              type: object
              description: >-
                What data fields the Item supports, and the Item's deposit
                switch capabilities.
              properties:
                field_coverage:
                  type: object
                  description: >
                    Contains information on whether the Item returns data for a
                    particular property within one of Argyle's data sets.


                    *Does not include object ID's, account ID's, or metadata.
                    `null` values are returned for properties of new or uncommon
                    Items until a determination on data availability can be
                    made.*
                  properties:
                    identities:
                      type: object
                      description: >-
                        All data fields of the [identity
                        object](/api-reference/identities#object).
                      example:
                        first_name:
                          supported: true
                        last_name:
                          supported: true
                        ...:
                          supported: true
                    paystubs:
                      type: object
                      description: >-
                        All data fields of the [paystub
                        object](/api-reference/paystubs#object).
                      example:
                        ...:
                          supported: true
                    payroll_documents:
                      type: object
                      description: >-
                        All data fields of the [payroll document
                        object](/api-reference/payroll-documents#object).
                      example:
                        ...:
                          supported: true
                    deposit_destinations:
                      type: object
                      description: >-
                        All data fields of the [deposit destination
                        object](/api-reference/deposit-destinations#object).
                      example:
                        ...:
                          supported: true
                    shifts:
                      type: object
                      description: >-
                        All data fields of the [shift
                        object](/api-reference/shifts#object).
                      example:
                        ...:
                          supported: true
                    gigs:
                      type: object
                      description: >-
                        All data fields of the [gig
                        object](/api-reference/gigs#object).
                      example:
                        ...:
                          supported: true
                    vehicles:
                      type: object
                      description: >-
                        All data fields of the [vehicle
                        object](/api-reference/vehicles#object).
                      example:
                        ...:
                          supported: true
                    ratings:
                      type: object
                      description: >-
                        All data fields of the [rating
                        object](/api-reference/ratings#object).
                      example:
                        ...:
                          supported: true
                direct_deposit_switch:
                  type: object
                  description: >-
                    Contains information on the Item's deposit switch
                    capabilities.
                  properties:
                    card:
                      type: object
                      description: Card update capabilities.
                      properties:
                        supported:
                          type: boolean
                          description: >-
                            `true` if the Item supports payouts to debit cards.
                            Generally applies to gig platforms, where users can
                            send instant payouts to debit cards.
                          example: true
                        max_allocations:
                          type: string
                          description: >-
                            Number of debit cards that can be added to the
                            Item's underlying platform.
                          example: '3'
                    deposit_account:
                      type: object
                      description: Direct deposit capabilities.
                      properties:
                        types:
                          type: array
                          items:
                            type: string
                          description: The types of bank accounts supported.
                          example:
                            - ach_deposit_account
                        supported:
                          type: boolean
                          description: '`true` if the Item supports deposit switching.'
                          example: true
                        max_allocations:
                          type: string
                          description: >-
                            Number of total bank accounts supported by the
                            Item's underlying platform.
                          example: '2'
                        amount_allocation:
                          type: boolean
                          description: >-
                            `true` if the Item's direct deposit settings support
                            using exact amounts to define how pay is allocated
                            to different bank accounts.
                          example: false
                        percent_allocation:
                          type: boolean
                          description: >-
                            `true` if the Item's direct deposit settings support
                            using exact percentages of total pay to define how
                            pay is allocated to different bank accounts.
                          example: true
                        amount_precision:
                          type: string
                          description: >-
                            What level of precision is allowed when setting
                            amount allocations.
                          nullable: true
                          example: null
                        percent_precision:
                          type: string
                          description: >-
                            What level of precision is allowed when setting
                            percentage allocations.
                          example: '0.01'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````